| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Namespaces | Classes | Typedefs | Functions
uhd::transport Namespace Reference

## Namespaces
namespace | vrt

## Classes
class | bounded_buffer
class | bounded_buffer_detail
class | buffer_pool
class | frame_buff
struct | if_addrs_t
class | managed_buffer
| Simple managed buffer with release interface. More...
class | managed_recv_buffer
class | managed_send_buffer
class | udp_simple
class | udp_zero_copy
class | usb_control
class | usb_device_handle
class | usb_zero_copy
class | zero_copy_if
struct | zero_copy_xport_params

## Typedefs
using | adapter_id_t = size_t
| Host transport adapter ID.

## Functions
UHD_API std::vector< if_addrs_t > | get_if_addrs (void)
UHD_INLINE void | intrusive_ptr_add_ref (managed_buffer *p)
UHD_INLINE void | intrusive_ptr_release (managed_buffer *p)

## Typedef Documentation

## ◆ adapter_id_t

using uhd::transport::adapter_id_t = size_t

Host transport adapter ID.

## Function Documentation

## ◆ get_if_addrs()

UHD_API std::vector< if_addrs_t > uhd::transport::get_if_addrs | ( | void |  | ) |

Get a list of network interface addresses. The internal implementation is system-dependent.

Returns
  a vector of if addrs

## ◆ intrusive_ptr_add_ref()

UHD_INLINE void uhd::transport::intrusive_ptr_add_ref | ( | managed_buffer * | p | ) |

## ◆ intrusive_ptr_release()

UHD_INLINE void uhd::transport::intrusive_ptr_release | ( | managed_buffer * | p | ) |